Subject: RE: bug#36945: 27.0.50; read-library-name

From: Drew Adams <[email-masked]>
Date: Tue, 15 Sep 2020 15:32:19 +0000 (UTC)

> Hm...  perhaps the function is just misnamed.  When I want to find a
> library, I really do want to complete over the library's name, and
> nothing else.  What read-library-name does, however, is file name
> completion over load-path, which is something a bit different.

I don't think the name is bad.  It's just that we have
different ideas of what a "library name" is.  The same
thing happens with file names.  You're talking about a
sort of "base" name.

My suggestion: Improve the `read-library-name' doc to
make clear what it does (whatever you think isn't clear
enough).  And then provide another function that does
what you were wanting/expecting.

Or if you find an easy way to get the behavior you want
as optional behavior by tweaking `read-library-name',
make that change, so the same function can do both things.